<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user_books_widget.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserBooksWidget Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_user_books_widget.html">UserBooksWidget</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a2e3616dce32fae1ae33d045f8dcae96b">getAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a9c40eb7f74e36ed66913746b961b6181">getLoansRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#aa4c58e7b93127fc7c81b52139c6f6cdc">getRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#ad248f782ffd541b2fabad580bebd08b9">getReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#aaa93429f9e3cb20b2d7db337a3f3041b">getReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a29a91260696bb515d9ea5e86298c97ee">getSearchBookRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a5df9e11a3816c8d47773ac840208a975">getWishlistRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a2056ae2f953de01d7121958ebbdf213a">openBookDetailsDialog</a>(QListWidgetItem *i)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#abcca830f4b93a8041e341bd4c968bc81">searchBook</a>()</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a72b1774daba211095958aa58d6741610">sendAddBookToWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a816b477d3c34d37101521d7a9974698a">sendAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a9598ae508fd09bff774ece9ac1d0c9b9">sendDetailsAboutBookRequest</a>(QString isbn)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a3b5920c41a062c9d61196a8208393df3">sendDetailsAboutBookRequestResult</a>(Book book, bool isReservedByUser, bool isInUserWishlist)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#adb164b67074c2247546e4412a3a9e458">sendLoansRequest</a>()</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#ab99cbf4fcc12add9ab59a81728fa515f">sendRemoveBookFromWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a498738f7818ead6f90289f43e2fba110">sendRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a23fb6ce0abc52a2c585aec974e29afe5">sendReserveBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#ae9acd4f6fba02ded1213e0b7573a43df">sendReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a032103cfe69258a9b14b274738916799">sendReturnBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#a13b44bb3472a24a6e48a95da1c6f23ec">sendReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#a2ec494173d4e884427c92fb819470134">sendSearchBookRequest</a>(QString id, QString title)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_books_widget.html#ae798d9d61bfb6aa9f59f91ed7d9dcf5f">sendWishlistRequest</a>()</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_books_widget.html#ad560dbd0a8943e6a691c400259e05da1">UserBooksWidget</a>(QWidget *parent=0)</td><td class="entry"><a class="el" href="class_user_books_widget.html">UserBooksWidget</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
